<script src="./Script.js"></script>

<template>
  <v-select
    :label="label"
    :options="data"
    index="id"
    v-model="new_value"
    placeholder="--Lựa chọn--"
    @input="$emit('input', new_value)"
    @change="$emit('change', new_value)"
    @blur="$emit('blur', new_value)"
    class="nt-select-find"
  >
    <span slot="no-options">Không tìm thấy</span>
    <template slot="option" slot-scope="option">{{ option[label] | truncateWords }}</template>
  </v-select>
</template>
